Package ch.qos.logback.classic.gaffer

## Enum NestingType

- java.lang.Object
- - java.lang.Enum<NestingType>
  - - ch.qos.logback.classic.gaffer.NestingType

All Implemented Interfaces:
  `groovy.lang.GroovyObject`, `java.io.Serializable`, `java.lang.Comparable<NestingType>`

    public enum NestingType
    extends java.lang.Enum<NestingType>
    implements groovy.lang.GroovyObject

### Enum Constant Summary

Enum Constants
`AS_COLLECTION`
`NA`
`SINGLE`
`SINGLE_WITH_VALUE_OF_CONVENTION`

### Field Summary

Fields
`static NestingType` `MAX_VALUE`
`static NestingType` `MIN_VALUE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NestingType` `$INIT​(java.lang.Object... para)`
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`NestingType` `next()`
`NestingType` `previous()`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`
`static NestingType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NestingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NA

    public static final NestingType NA

#### SINGLE

    public static final NestingType SINGLE

#### SINGLE_WITH_VALUE_OF_CONVENTION

    public static final NestingType SINGLE_WITH_VALUE_OF_CONVENTION

#### AS_COLLECTION

    public static final NestingType AS_COLLECTION

### Field Detail

#### MIN_VALUE

    public static final NestingType MIN_VALUE

#### MAX_VALUE

    public static final NestingType MAX_VALUE

### Method Detail

#### values

    public static NestingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NestingType c : NestingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NestingType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### next

    public NestingType next()

#### previous

    public NestingType previous()

#### $INIT

    public static final NestingType $INIT​(java.lang.Object... para)